Package org.openoffice.da.comp.writer2latex

# Class LaTeXUNOPublisher

java.lang.Object
org.openoffice.da.comp.w2lcommon.filter.UNOPublisher
org.openoffice.da.comp.writer2latex.LaTeXUNOPublisher

public class LaTeXUNOPublisher extends UNOPublisher

## Nested Class Summary

## Nested classes/interfaces inherited from class org.openoffice.da.comp.w2lcommon.filter.UNOPublisher

`UNOPublisher.TargetFormat`

## Field Summary

### Fields inherited from class org.openoffice.da.comp.w2lcommon.filter.UNOPublisher

`xContext, xFrame`

## Constructor Summary

Constructors
Constructor
Description
`LaTeXUNOPublisher(com.sun.star.uno.XComponentContext xContext, com.sun.star.frame.XFrame xFrame, String sAppName)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`filterFileName(String sFileName)`
Make a file name LaTeX friendly
`File`
`getBibTeXDirectory()`
Get the directory containing the BibTeX files (as defined in the registry)
`protected void`
`postProcess(String sURL, UNOPublisher.TargetFormat format)`
Postprocess the converted document with LaTeX and display the result
`protected com.sun.star.beans.PropertyValue[]`
`postProcessMediaProps(com.sun.star.beans.PropertyValue[] mediaProps)`
Post process the filter data: Set bibliography options and determine the backend and the BIBINPUTS directory

### Methods inherited from class org.openoffice.da.comp.w2lcommon.filter.UNOPublisher

`documentSaved, getTargetFileName, getTargetPath, getTargetURL, publish`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LaTeXUNOPublisher

public LaTeXUNOPublisher(com.sun.star.uno.XComponentContext xContext, com.sun.star.frame.XFrame xFrame, String sAppName)

## Method Details

### getBibTeXDirectory

public File getBibTeXDirectory()
Get the directory containing the BibTeX files (as defined in the registry)

Returns:
  the directory

### filterFileName

protected String filterFileName(String sFileName)
Make a file name LaTeX friendly

Overrides:
  `filterFileName` in class `UNOPublisher`
Parameters:
  `sFileName` - the original file name
Returns:
  the filtered file name

### postProcessMediaProps

protected com.sun.star.beans.PropertyValue[] postProcessMediaProps(com.sun.star.beans.PropertyValue[] mediaProps)
Post process the filter data: Set bibliography options and determine the backend and the BIBINPUTS directory

Overrides:
  `postProcessMediaProps` in class `UNOPublisher`
Parameters:
  `mediaProps` - the media properties as set by the dialog
Returns:
  the updated media properties

### postProcess

protected void postProcess(String sURL, UNOPublisher.TargetFormat format)
Postprocess the converted document with LaTeX and display the result

Overrides:
  `postProcess` in class `UNOPublisher`
Parameters:
  `sURL` - URL of the converted document
  `format` - the target format